<?php
/**
 * 用户主页接口 api/user/？？？
 * User: easyboom
 * Date: 2019/1/4
 * Time: 上午10:46
 */

use Illuminate\Support\Facades\Route;

// 照片活体验证对比
Route::post('facematch', 'User\ProfileController@facematch');

// 微信验证
Route::post('wxverify', 'User\ProfileController@wxverify');

// 微信验证申请人工审核
Route::post('wxverifybyartifical', 'User\ProfileController@wxverifyByArtifical');

// 更新用户信息
Route::put('/update', "User\ProfileController@update");

// 获取用户标签
Route::get('/tags', "User\ProfileController@getTags");

// 更新用户标签
Route::post("/toggletag", "User\ProfileController@toggleTag");

// 完成某个任务
Route::get('/wctask/{type}', "User\TaskController@wcTask");

// 领取新年小花
Route::get('/year/getyearflower', "User\TaskController@getYearFlower");

// 选择封面
Route::put('/selectcover', 'User\ProfileController@selectCover');
// 删除照片
Route::match(['delete', 'post'], '/photos/delete', 'User\ProfileController@deletePhotos');
// 查看小花明细
Route::get('/flowerlogs', 'PartnerPay\FlowerController@flowerlogs');
// 喜欢我的列表
Route::get('/home/list/likeme', 'User\HomeController@likeMeList');

// 取消喜欢|喜欢 某人
Route::put('/partner/{partner_id}/thumb', 'User\PartnerController@thumb');
// 超级喜欢某人
Route::put('partner/{partner_id}/superlike', 'User\PartnerController@superLike');

// 阅读超级喜欢消息
Route::put("superlike/{like_uid}/read", "User\PartnerController@readSuperlike");
// 阅读相互心动消息
Route::put("eachlike/{like_uid}/read", "User\PartnerController@readEachlike");
// 阅读系统通知消息
Route::put("system/{sys_id}/read", "User\NoticeController@readSystemNotice");
// 系统通知列表
Route::get('/sysnoticelist', "User\NoticeController@sysNoticeList");
// 获取最新系统通知
Route::get('sysnotice/desc', "User\NoticeController@sysNoticeDesc");

// 解锁喜欢我的卡片
Route::put("/partner/{partner_id}/locklikeme", "User\PartnerController@lockLikeme");

// 最近有多少人看过我
Route::get('/lastlookme', "User\HomeController@lastLookMe");

// 我收到的通知数量
Route::get('/noticecnt', 'User\NoticeController@noticeCnt');

Route::post('vip/notice', 'User\VipController@notice');

// 判断是否是内测用户
Route::get('/istest', 'User\HomeController@isTestUser');

// 获取某人最近七天的热度
Route::get('/home/getlast7dayhot', "User\HomeController@getLast7dayHot");
// 访客数据概览
Route::get('/home/getvisitor/overview', "User\HomeController@getVisitorOverView");
// 访客数据列表
Route::get('/home/getvisitor/list', 'User\HomeController@getVisitorList');

// 获取当前人气值
Route::get('/home/getpopularity', "User\HomeController@getPopularity");

// 通过uid获取用户信息
Route::get('/getbyuid/{uid}', "User\ProfileController@userByUid");
// 通过uid获取卡片信息
Route::get('/partnerbyuser/{user_id}/get', "User\PartnerController@getPartnerByUid");
// 通过卡片id获取卡片信息
Route::get('/partnerbypid/{partner_id}/get', "User\PartnerController@getPartnerById");
// 通过卡片ids获取卡片信息
Route::post('/partnerbypids/get', "User\PartnerController@getPartnerByIds");
// 是否可上架
Route::get('/partner/iscansell', 'User\PartnerController@isCanSell');


// app签到
Route::post('app/sign', 'User\ProfileController@appSigns');

// 获取用户通知能力
Route::get("/mynoticeability", "User\NoticeController@notice");


// 心动考验开关
Route::put('/likeinvite/switch', 'User\LikeInviteQuestionController@likeInviteQuestionSwitch');
// 心动考验问题获取与修改
Route::get('invite/questions', 'User\LikeInviteQuestionController@getInviteQuestion');
Route::post('invite/questions', 'User\LikeInviteQuestionController@setInviteQuestion');